Subject: [Mipshop] RFC 4068 - Multicast NA

From: "K Raghav-A21492" <[email-masked]>
Date: Wed, 21 Mar 2007 23:27:47 +0800

Section 4 of RFC 4068 states 
 
"Once the MN has confirmed its NCoA, it SHOULD send a Neighbor
Advertisement message.  This message allows MN's neighbors to update
their neighbor cache entries with the MN's addresses"
 
Could you please clarify as to what purpose this message aims to serve.
The MN whilst present in the NARs link will correspond only with the AR
over its NCOA. Besides the other nodes on a the NAR's link are unlikely
to correspond with this MN over NCOA. 
 
The applications on the MN will be over its Home Address. That leaves us
with DAD alone. So updating the Neighbor Caches might be a futile
exercise.
 
With regard to 4068bis; Clarification on this will aid in understanding
the reasoning behind UNA being a multicast message, over FNA, an unicast
message.
 
Thanks and Regards,
Raghav
_______________________________________________
Mipshop mailing list
[email-masked]
https://www1.ietf.org/mailman/listinfo/mipshop

---

From: Rajeev Koodli <[email-masked]>
Date: Wed, 21 Mar 2007 09:11:04 -0700

Hi Raghav,

The multicast NA is just to announce to everyone about the MN¹s attachment.
You¹re right it has nothing to with the HoA.

UNA does not have to be sent to a multicast address. We could make it to
unicast to NAR¹s address.

-Rajeev

On 3/21/07 8:27 AM, "ext K Raghav-A21492" <[email-masked]> wrote:

> "Once the MN has confirmed its NCoA, it SHOULD send a Neighbor  Advertisement
> message.  This message allows MN's neighbors to update their neighbor cache
> entries with the MN's addresses"
>  
> Could you please clarify as to what purpose this message aims to serve. The MN
> whilst present in the NARs link will correspond only with the AR over its
> NCOA. Besides the other nodes on a the NAR's link are unlikely to correspond
> with this MN over NCOA.
>  
> The applications on the MN will be over its Home Address. That leaves us with
> DAD alone. So updating the Neighbor Caches might be a futile exercise.
>  
> With regard to 4068bis; Clarification on this will aid in understanding the
> reasoning behind UNA being a multicast message, over FNA, an unicast message.
>  
> Thanks and Regards,
> Raghav
>